## python-django-extensions 3.2.1

=== debian/changelog ===
python-django-extensions (3.2.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete field Contact from debian/upstream/metadata (already present
    in machine-readable debian/copyright).

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 20 Nov 2022 12:09:39 +0000

python-django-extensions (3.2.1-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Set field Upstream-Name in debian/copyright
  * Set upstream metadata fields: Contact
  * Fix day-of-week for changelog entry 3.2.0-1

  [ Carsten Schoenert ]
  * [6959af7] New upstream version 3.2.1

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 11 Sep 2022 18:31:22 +0200

=== debian/control ===
Source: python-django-extensions
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Brian May <bam@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-babel,
 python3-dateutil,
 python3-django,
 python3-factory-boy,
 python3-mock,
 python3-pip,
 python3-pytest,
 python3-pytest-cov,
 python3-pytest-django,
 python3-setuptools,
 python3-shortuuid,
 python3-sphinx,
 python3-vobject,
 python3-werkzeug,
Rules-Requires-Root: no
Standards-Version: 4.6.1
Testsuite: autopkgtest-pkg-python
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-extensions
Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-extensions.git
Homepage: https://github.com/django-extensions/django-extensions

Package: python-django-extensions-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Useful extensions for Django projects (Documentation)
 This is a collection of useful third-party tools for projects that use the
 Django web development framework. It provides the management commands:
 .
  * runserver_plus - a "runserver" that uses the interactive Werkzeug debugger
  * runprofileserver - starts runserver with profiling tools enabled
  * shell_plus - similar to the built-in "shell" but autoloads all models
  * graph_models - creates a GraphViz dot file of your model arrangement
  * describe_form - generate template form definitions for a model
  * export_emails - export the addresses of your users in many formats
  * print_user_for_session - print the user information from a session key
  * create_jobs/runjob/runjobs - manage scheduled maintenance jobs
  * (plus many more)
 .
 python-django-extensions also includes a number of custom fields and abstract
 models, including ones that manage created and updated times automatically.
 .
 This package contains the documentation.

Package: python3-django-extensions
Architecture: all
Depends:
 python3-django,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 libjs-jquery,
Suggests:
 python-django-extensions-doc,
 python3-boto,
 python3-pygraphviz,
 python3-werkzeug,
Description: Useful extensions for Django projects (Python 3 version)
 This is a collection of useful third-party tools for projects that use the
 Django web development framework. It provides the management commands:
 .
  * runserver_plus - a "runserver" that uses the interactive Werkzeug debugger
  * runprofileserver - starts runserver with profiling tools enabled
  * shell_plus - similar to the built-in "shell" but autoloads all models
  * graph_models - creates a GraphViz dot file of your model arrangement
  * describe_form - generate template form definitions for a model
  * export_emails - export the addresses of your users in many formats
  * print_user_for_session - print the user information from a session key
  * create_jobs/runjob/runjobs - manage scheduled maintenance jobs
  * (plus many more)
 .
 python-django-extensions also includes a number of custom fields and abstract
 models, including ones that manage created and updated times automatically.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=django-extensions

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_install:
	dh_install


test_opts = $(shell grep -v '^\s*\#' debian/tests/options.txt)
override_dh_auto_test:
	PYTHONPATH=. \
	dh_auto_test -- --system=custom --test-args="{interpreter} -m pytest --cov=django_extensions $(test_opts) tests"

override_dh_auto_build:
	set -e; \
	for loc in django_extensions/locale/*; do \
		python3 setup.py compile_catalog --directory django_extensions/locale/ --locale $$(basename $$loc) --domain django; \
	done
	mkdir docs/images
	ln debian/images/* docs/images
	PYTHONPATH=. python3 -m sphinx -b html -d docs/.build/.doctrees -N docs docs/.build/html
	dh_auto_build

override_dh_clean:
	rm -rf docs/.build docs/images
	dh_clean

=== debian/tests/control ===
Tests: testsuite
Depends:
 python3-factory-boy,
 python3-mock,
 python3-pip,
 python3-pygments (>= 2.7.1+dfsg-1~),
 python3-pytest,
 python3-pytest-django,
 python3-shortuuid,
 python3-vobject,
 python3-werkzeug,
 @,
Restrictions: allow-stderr

=== debian/watch ===
# watch file for python-django-extensions

version=4

opts="mode=git, \
      filenamemangle=s/.+\/(\d\S*)\.tar\.gz/django-extensions-$1.tar.gz/ \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/; \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/django-extensions/django-extensions.git \
      refs/tags/v?(\d[\d\.]+)

## python-django-extensions 3.2.3

=== Makefile ===
help:
	@echo "clean - remove all build, test, coverage and Python artifacts"
	@echo "clean-build - remove build artifacts"
	@echo "clean-pyc - remove Python file artifacts"
	@echo "clean-test - remove test and coverage artifacts"
	@echo "compile-catalog - compile translation catalogs"
	@echo "test - run tests quickly with the default Python"
	@echo "coverage - check code coverage quickly with the default Python"
	@echo "install - install the package to the active Python's site-packages"

clean: clean-test clean-build clean-pyc

clean-build:
	rm -fr build/
	rm -fr dist/
	rm -fr .eggs/
	find . -name '*.egg-info' -exec rm -fr {} +
	find . -name '*.egg' -exec rm -fr {} +

clean-pyc:
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +
	find . -name '__pycache__' -exec rm -fr {} +

clean-test:
	rm -fr .cache/
	rm -fr .tox/
	rm -f .coverage
	rm -fr htmlcov/

compile-catalog:
	for loc in django_extensions/locale/*; do \
		python setup.py compile_catalog --directory django_extensions/locale/ --locale $$(basename $$loc) --domain django || exit 1; \
	done

test:
	pytest django_extensions tests

coverage: test
	coverage report -i -m
	coverage html

install: clean
	python setup.py install

=== debian/changelog ===
python-django-extensions (3.2.3-2) unstable; urgency=medium

  * Team upload
  * d/p/0004: Disable dumpscript tests as a temporary solution
    (Closes: #1066753)

 -- Pierre-Elliott Bécue <peb@debian.org>  Thu, 25 Apr 2024 01:25:03 +0200

python-django-extensions (3.2.3-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.2.3. Closes: #1058376
  * Use github watch from uscan doc
  * Standards-Version 4.6.2
  * patch: python 3.12 compat
  * build-depends: aiosmtpd
  * debian/rules: use hooks
  * Streamline tests using autopkgtest-pkg-pybuild,
    pybuild.testfiles. Disable coverage for faster execution.

  [ Alexandre Detiste ]
  * remove extraneous dep. on python3-mock

 -- Jérémy Lal <kapouer@melix.org>  Sat, 27 Jan 2024 12:03:45 +0100

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
+ python3-aiosmtpd,
  python3-all,
  python3-babel,
  python3-dateutil,
  python3-django,
  python3-factory-boy,
- python3-mock,
  python3-pip,
  python3-pytest,
  python3-pytest-cov,
@@ -23,8 +23,8 @@
  python3-vobject,
  python3-werkzeug,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
-Testsuite: autopkgtest-pkg-python
+Standards-Version: 4.6.2
+Testsuite: autopkgtest-pkg-pybuild
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-extensions
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-extensions.git
 Homepage: https://github.com/django-extensions/django-extensions

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=django-extensions
export PYBUILD_TEST_ARGS=--no-cov --ignore=tests/management/commands/test_pipchecker.py django_extensions tests

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild


execute_after_dh_auto_build-indep:
	mkdir docs/images
	ln debian/images/* docs/images
	PYTHONPATH=. python3 -m sphinx -b html -N docs docs/.build/html

execute_before_dh_auto_build:
	set -e; \
	for loc in django_extensions/locale/*; do \
		python3 setup.py compile_catalog --directory django_extensions/locale/ --locale $$(basename $$loc) --domain django; \
	done

execute_before_dh_clean:
	rm -rf docs/.build docs/images
	rm -f django_extensions/locale/*/LC_MESSAGES/django.mo

## python-django-extensions 4.1

=== Makefile ===
--- 
+++ 
@@ -31,7 +31,7 @@
 
 compile-catalog:
 	for loc in django_extensions/locale/*; do \
-		python setup.py compile_catalog --directory django_extensions/locale/ --locale $$(basename $$loc) --domain django || exit 1; \
+		pybabel compile --directory django_extensions/locale/ --locale $$(basename $$loc) --domain django --statistics || exit 1; \
 	done
 
 test:
@@ -42,4 +42,4 @@
 	coverage html
 
 install: clean
-	python setup.py install
+	python -m pip install .

=== docs/requirements.txt ===
django
sphinx>=8,<9
sphinx-rtd-theme>=3,<4

=== debian/changelog ===
python-django-extensions (4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Update mail_debug command to use aiosmtpd (closes: #1040091,
      #1040119).

 -- Colin Watson <cjwatson@debian.org>  Thu, 24 Apr 2025 12:01:54 +0100

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,12 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
+ pybuild-plugin-pyproject,
  python3-aiosmtpd,
  python3-all,
  python3-babel,
  python3-dateutil,
- python3-django,
+ python3-django (>= 3:4.2),
  python3-factory-boy,
  python3-pip,
  python3-pytest,
@@ -20,6 +21,7 @@
  python3-setuptools,
  python3-shortuuid,
  python3-sphinx,
+ python3-sphinx-rtd-theme,
  python3-vobject,
  python3-werkzeug,
 Rules-Requires-Root: no
@@ -65,7 +67,7 @@
  libjs-jquery,
 Suggests:
  python-django-extensions-doc,
- python3-boto,
+ python3-boto3,
  python3-pygraphviz,
  python3-werkzeug,
 Description: Useful extensions for Django projects (Python 3 version)

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=django-extensions
export PYBUILD_TEST_ARGS=--no-cov django_extensions tests

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild


execute_after_dh_auto_build-indep:
	mkdir docs/images
	ln debian/images/* docs/images
	PYTHONPATH=. python3 -m sphinx -b html -N docs docs/.build/html

execute_before_dh_auto_build:
	$(MAKE) compile-catalog

execute_before_dh_clean:
	rm -rf docs/.build docs/images
	rm -f django_extensions/locale/*/LC_MESSAGES/django.mo

=== debian/watch ===
version=4
opts="filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,searchmode=plain" \
 https://api.github.com/repos/django-extensions/django-extensions/tags?per_page=100 \
 https://api.github.com/repos/django-extensions/django-extensions/tarball/refs/tags/@ANY_VERSION@
